Package robocode.control.events

## Class BattleErrorEvent

- java.lang.Object
- - robocode.control.events.BattleEvent
  - - robocode.control.events.BattleErrorEvent

    public class BattleErrorEvent
    extends BattleEvent

A BattleErrorEvent is sent to `onBattleError()` when an error message is sent from the game in the during the battle.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `BattleMessageEvent`

### Constructor Summary

Constructors
`BattleErrorEvent​(String error)` Called by the game to create a new BattleErrorEvent.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getError​()` Returns the error message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BattleErrorEvent

    public BattleErrorEvent​(String error)

Called by the game to create a new BattleErrorEvent. Please don't use this constructor as it might change.

Parameters:
  `error` - the error message from the game.

### Method Detail

#### getError

    public String getError​()

Returns the error message.

Returns:
  the error message that was sent from the game during the battle.